Subject: Re: problem using jgit

From: Marek Zawirski <[email-masked]>
Date: Mon, 21 Jul 2008 12:41:39 +0200

Stephen Bannasch wrote:
> I've setup a simple test class that integrates jgit to clone a git 
> repository. However I'm getting a NullPointerError when 
> RevWalk.parseAny ends up producing a null object id.
>
> The code and the stack trace for the error are here:
>
>   http://pastie.org/237711
>
> This problem occurs using the jgit from the master branch from this repo:
>
>   git://repo.or.cz/egit.git
Hello Stephen,

I think you've experienced error caused by the same bug as me, during my 
latest fetch/push GUI works few days ago.
Your code looks fine, probably  it's actually bug in jgit. I think it's 
some regression. Thanks for reporting.
I'll try to look at this problem or jgit fetch experts (Robin and Shawn) 
will have a look when they come back. 

Marek